package domain


type AlibabaTclsAelophyBillDetailQueryApiPageResults struct {
    /*
        当前页码     */
    PageIndex  *int64 `json:"page_index,omitempty" `

    /*
        页码大小     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        总页数     */
    PageCount  *int64 `json:"page_count,omitempty" `

    /*
        总记录数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        结果集     */
    Model  *[]AlibabaTclsAelophyBillDetailQueryBillDetailDTO `json:"model,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

}

func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetPageIndex(v int64) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.PageIndex = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetPageSize(v int64) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.PageSize = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetPageCount(v int64) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.PageCount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetTotal(v int64) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.Total = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetModel(v []AlibabaTclsAelophyBillDetailQueryBillDetailDTO) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.Model = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetSuccess(v bool) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetErrMsg(v string) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryApiPageResults) SetErrCode(v string) *AlibabaTclsAelophyBillDetailQueryApiPageResults {
    s.ErrCode = &v
    return s
}
